summaryrefslogtreecommitdiff
path: root/dev-python/python-utils/python-utils-3.9.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-26 19:05:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-26 19:05:05 +0000
commit2fa28bc45de91546378c03f483e6853bc86e71ee (patch)
tree93dbe983ecdb52c278865c7bfdbb56564d03b807 /dev-python/python-utils/python-utils-3.9.1.ebuild
parentf1c526abf57901a26ac4cbedc4e70c56e6e231c5 (diff)
downloadbaldeagleos-repo-2fa28bc45de91546378c03f483e6853bc86e71ee.tar.gz
baldeagleos-repo-2fa28bc45de91546378c03f483e6853bc86e71ee.tar.xz
baldeagleos-repo-2fa28bc45de91546378c03f483e6853bc86e71ee.zip
Adding metadata
Diffstat (limited to 'dev-python/python-utils/python-utils-3.9.1.ebuild')
-rw-r--r--dev-python/python-utils/python-utils-3.9.1.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/python-utils/python-utils-3.9.1.ebuild b/dev-python/python-utils/python-utils-3.9.1.ebuild
new file mode 100644
index 000000000000..64cb749f2696
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.9.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="
+ https://github.com/WoLpH/python-utils/
+ https://pypi.org/project/python-utils/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ docs
+ _python_utils_tests/test_logger.py
+ python_utils/loguru.py
+)
+
+EPYTEST_DESELECT=(
+ # fragile
+ _python_utils_tests/test_time.py::test_timeout_generator
+)
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}